> ## Documentation Index
> Fetch the complete documentation index at: https://docs.roostedhr.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Client Workers

> Returns all workers grouped by their preference status (preferred, normal, banned) for a specific client.

<Info>
  The response groups all company workers into three arrays by their preference status for this client: `preferred`, `normal`, and `banned`.
</Info>


## OpenAPI

````yaml api-reference/v01.12.00/openapi-v01.12.00.json GET /clients/{id}/workers
openapi: 3.0.0
info:
  title: Roosted
  version: 0.1.12
  contact:
    name: Support
    url: https://support.roostedhr.com/support/home
    email: support@roostedhr.com
  description: |-
    Enterprise API

    Sandbox keys and Production keys are requested from support
servers:
  - url: https://api.roostedhr.com/api/1_12
  - url: https://sandbox.roostedhr.com/api/1_12
security:
  - X-API-KEY: []
tags:
  - name: Announcements
  - name: Areas
  - name: Clients
  - name: Company
  - name: Configuration
  - name: Events
  - name: Locations
  - name: Payroll Groups
  - name: Rate Cards
  - name: Shifts
  - name: Skillsets
  - name: Time Tracking
  - name: Wage Rules
  - name: Workers
paths:
  /clients/{id}/workers:
    parameters:
      - schema:
          type: string
        name: id
        in: path
        required: true
        description: Client ID
    get:
      tags:
        - Clients
      summary: Get Client Workers
      description: >-
        Returns all workers grouped by their preference status (preferred,
        normal, banned) for a specific client.
      operationId: get-client-workers
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ClientWorkers'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: string
                    description: Machine-readable error code.
                  error:
                    type: string
                    description: Human-readable error message.
              examples:
                Invalid page:
                  value:
                    code: CLI-1100
                    error: Invalid page parameter
                Invalid items_per_page:
                  value:
                    code: CLI-1200
                    error: Invalid items_per_page parameter
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: string
                    description: Machine-readable error code.
                  error:
                    type: string
                    description: Human-readable error message.
              examples:
                Invalid API key:
                  value:
                    code: ATH-100
                    error: Invalid or missing API key
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: string
                    description: Machine-readable error code.
                  error:
                    type: string
                    description: Human-readable error message.
              examples:
                Not found:
                  value:
                    code: CLI-300
                    error: Client not found
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: string
                    description: Machine-readable error code.
                  error:
                    type: string
                    description: Human-readable error message.
              examples:
                Unexpected error:
                  value:
                    code: CLI-2000
                    error: An unexpected error occurred
components:
  schemas:
    ClientWorkers:
      title: ClientWorkers
      type: object
      description: Workers grouped by their preference status for this client.
      properties:
        preferred:
          type: array
          description: Workers with preferred status.
          items:
            $ref: '#/components/schemas/ClientWorkerEntry'
        normal:
          type: array
          description: Workers with normal (default) status.
          items:
            $ref: '#/components/schemas/ClientWorkerEntry'
        banned:
          type: array
          description: Workers excluded from this client's events.
          items:
            $ref: '#/components/schemas/ClientWorkerEntry'
    ClientWorkerEntry:
      title: ClientWorkerEntry
      type: object
      properties:
        personnel_id:
          type: string
          description: Worker ID.
        name:
          type: string
          description: Worker name.
        date:
          type: string
          nullable: true
          description: Datetime when the status was set.
  securitySchemes:
    X-API-KEY:
      name: X-API-KEY
      type: apiKey
      in: header

````